The Qt library archive

Loading...

Home

KF5Umbrella

CMake convenience functions for KDE Frameworks

Version:
5.36.0 (stable)released on 2017-07-08(older versions: 5.35.0, 5.34.0, 5.33.0, 5.32.0, 5.32.0, 5.31.0, 5.30.0, 5.29.0, 5.28.0, 5.27.0, 5.26.0, 5.24.0, 5.23.0, 5.22.0, 5.21.0, 5.20.0, 5.19.0, 5.18.0, 5.17.0, 5.16.0, 5.15.0, 5.14.0, 5.13.0, 5.13.0, 5.10.0, 5.7.0, 5.6.0, 5.5.0, 5.4.0, 5.3.0, 5.2.0, 5.1.0, 5.0.0, 4.98.0, 4.97.0)
License:
LGPLv2.1+
Platform:
Linux
Author:
The KDE Community
Topic:
Development
Home page:

This repository installs CMake files that simplify the CMake code that applications need to write in order to find KDE Frameworks.

It is not used by the frameworks themselves, it exists only for the convenience of workspace and applications.

Without KF5Umbrella, one has to write:

find_package(KF5TextWidgets "5.0.0" REQUIRED)
    find_package(KF5XmlGui "5.0.0" REQUIRED)
    find_package(KF5KIO "5.0.0" REQUIRED)
    ...
    

While with KF5Umbrella you can write:

find_package(KF5 "5.0.0" CONFIG REQUIRED TextWidgets XmlGui KIO ...)
    

Read more


Packages